#!/bin/sh

if [ -z $JAVA_HOME ]
then
    echo ". =================================================="
    echo "."
    echo ". Please, set JAVA_HOME before running this script."
    echo "."
    echo ". =================================================="
    exit;
fi

if [ ! -f "$JAVA_HOME/bin/java" ]
then
    echo ". =================================================="
    echo "."
    echo ". Please, set JAVA_HOME to the path of a valid jdk."
    echo "."
    echo ". =================================================="
    exit;
fi

if [ -z $J2EE_HOME ]
then
    echo ". =================================================="
    echo "."
    echo ". Please, set J2EE_HOME before running this script."
    echo "."
    echo ". =================================================="
    exit;
fi

if [ ! -f bin/install.sh ]
then
    echo ". ===================================================================="
    echo "."
    echo ". Please start this script from the Funambol DS Server home directory."
    echo "."
    echo ". ===================================================================="
    exit;
fi


if [[ "$1" != "jboss30" && "$1" != "jboss32" && "$1" != "jboss40" && "$1" != "tomcat50" && "$1" != "weblogic9" && "$1" != "websphere6" ]] 
then
   echo ". ================================================================="
   echo ".                                                   "
   echo ". Please, specify target application sever.         "
   echo ". Syntax:                                           "
   echo ".     install [jboss30/jboss32/jboss40/tomcat50/weblogic9/websphere6]"
   echo ".                                                   "
   echo ". ================================================================="
   exit;
fi

if [[ "$1" == "tomcat50" && ! -f "$J2EE_HOME/bin/catalina.sh" ]]
then
   echo ". ================================================================"
   echo ".                                                                 "
   echo ". Please, set J2EE_HOME to the path of a valid Tomcat installation"
   echo ".                                                                 "
   echo ". ================================================================"
   exit;
fi

if [[ "$1" == "jboss30" || "$1" == "jboss32" || "$1" == "jboss40" ]]
then
  if [ ! -f "$J2EE_HOME/bin/run.sh" ]
then
   echo ". ==============================================================="
   echo ".                                                                "
   echo ". Please, set J2EE_HOME to the path of a valid JBoss installation"
   echo ".                                                                "
   echo ". ==============================================================="
   exit;
  fi
fi


# just in case...
chmod +x ./ant/bin/*
unset ANT_HOME

export APPSRV="$1"

CLASSPATH=lib\funambol-clientframework.jar; export CLASSPATH

./ant/bin/ant -Ddo.install-modules-only=true --noconfig -Ddo.install-db=true -buildfile ./install/install.xml -q install

# In case the installation created new scripts
chmod +x ./bin/*.sh
