/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.framework.engine;

import com.funambol.framework.core.StatusCode; // Mmmhh.... is this a good dependency?

/**
 *
 *
 * @version $Id: SyncException.java,v 1.2 2006/08/07 21:09:29 nichele Exp $
 */
public class SyncException extends java.lang.Exception {

    // ------------------------------------------------------------ Private data

    private int statusCode;

    // ------------------------------------------------------------ Constructors

    public SyncException(String msg) {
        this(msg, null, StatusCode.PROCESSING_ERROR);
    }

    public SyncException(String msg, int statusCode) {
        this(msg, null, statusCode);

    }

    public SyncException(String msg, Throwable cause) {
        this(msg, cause, StatusCode.PROCESSING_ERROR);
    }

    public SyncException(String msg, Throwable cause, int statusCode) {
        super(msg, cause);
        this.statusCode = statusCode;
    }

    public SyncException(Throwable cause) {
        this(cause.getMessage(), cause, StatusCode.PROCESSING_ERROR);
    }

    // ---------------------------------------------------------- Public methods

    public int getStatusCode() {
        return statusCode;
    }
}
