/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.framework.engine.source;

import com.funambol.framework.core.StatusCode;
import com.funambol.framework.engine.SyncException;

/**
 * This exception represents the case where the size of a object provided by the
 * client does not match the size specified in the Meta element of the item.
 *
 *
 * @version $Id: ObjectSizeMismatchException.java,v 1.2 2006/08/07 21:09:30 nichele Exp $
 */
public class ObjectSizeMismatchException extends SyncSourceException {
    public ObjectSizeMismatchException(String msg) {
        super(msg, StatusCode.OBJECT_SIZE_MISMATCH);
    }
}