/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

/**
 * @version $Id: SyncSourceException.java,v 1.2 2006/08/07 21:09:30 nichele Exp $
 */
package com.funambol.framework.engine.source;

import com.funambol.framework.engine.SyncException;

public class SyncSourceException extends SyncException {
   private String uri    = null;
   private String config = null;

   public SyncSourceException(String msg) {
        super(msg);
    }

   public SyncSourceException(String msg, int statusCode) {
        super(msg, statusCode);
    }

   public SyncSourceException(String msg, Throwable cause) {
        super(msg, cause);
    }

   public SyncSourceException(Throwable cause) {
        super(cause);
    }

   public SyncSourceException(String uri, String config, Throwable cause) {
        super(cause);
        this.uri    = uri;
        this.config = config;
    }

   public String getUri() {
        return this.uri;
    }

   public String getConfig() {
        return this.config;
    }   
}
