/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.framework.server;

import org.apache.commons.lang.builder.ToStringBuilder;

/**
 * This class represent an addressable SyncML source registered to Funambol.
 * It is not intended to store specific SyncSource information.
 *
 * @version $Id: Sync4jSource.java,v 1.3 2006/08/07 21:13:13 nichele Exp $
 */
public class Sync4jSource {

    private String uri;          // the source uri
    private String config;       // the source configuration file
    private String sourceTypeId; // the source type id
    private String sourceName;   //the source name

    /** Creates a new instance of Sync4jSyncSource */
    public Sync4jSource() {
        this(null, null, null, null);
    }

    public Sync4jSource(String uri) {
        this(uri, null, null, null);
    }

    public Sync4jSource(String uri, String config) {
        this(uri,config, null, null);
    }

    public Sync4jSource(String uri         ,
                        String config      ,
                        String sourceTypeId,
                        String sourceName  ) {
        this.uri    = uri   ;
        this.config = config;
        this.sourceTypeId = sourceTypeId;
        this.sourceName = sourceName;
    }

    /**
     * Getter for property uri.
     * @return Value of property uri.
     */
    public String getUri() {
        return uri;
    }

    /**
     * Setter for property uri.
     * @param uri New value of property uri.
     */
    public void setUri(String uri) {
        this.uri = uri;
    }

    /**
     * Getter for property config.
     * @return Value of property config.
     */
    public String getConfig() {
        return config;
    }

    /**
     * Setter for property config.
     * @param config New value of property config.
     */
    public void setConfig(String config) {
        this.config = config;
    }

    /**
     * Getter for property sourceTypeId.
     * @return Value of property sourceTypeId.
     */
    public String getSourceTypeId() {
        return sourceTypeId;
    }

    /**
     * Setter for property sourceTypeId.
     * @param sourceTypeId New value of property sourceTypeId.
     */
    public void setSourceTypeId(String sourceTypeId) {
        this.sourceTypeId = sourceTypeId;
    }

    /**
     * Getter for property sourceName.
     * @return Value of property sourceName.
     */
    public String getSourceName() {
        return sourceName;
    }

    /**
     * Setter for property sourceName.
     * @param sourceName New value of property sourceName.
     */
    public void setSourceName(String sourceName) {
        this.sourceName = sourceName;
    }

    public String toString() {
        ToStringBuilder sb = new ToStringBuilder(this);

         sb.append("uri",          uri);
         sb.append("config",       config);
         sb.append("sourceTypeId", sourceTypeId);
         sb.append("sourceName",   sourceName);

         return sb.toString();
    }

}
