/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

package com.funambol.server.config;

import com.funambol.framework.core.DevInf;

import com.funambol.server.config.EngineConfiguration;



/**
 *
 * This class is just a container of SyncServer configuration.
 *
 *
 */
public class ServerConfiguration {

    // ------------------------------------------------------------ Private data

    /**
     * The engine configuration object
     */
    private EngineConfiguration engineConfiguration;

    /**
     * The server's device info object
     */
    private DevInf serverInfo;

    // ---------------------------------------------------------- Public methods

    /**
     * Getter for property serverInfo.
     * @return Value of property serverInfo.
     */
    public DevInf getServerInfo() {
        return serverInfo;
    }

    /**
     * Setter for property serverInfo.
     * @param serverInfo New value of property serverInfo.
     */
    public void setServerInfo(DevInf serverInfo) {
        this.serverInfo = serverInfo;
    }


    /**
     * Getter for property engineConfiguration.
     * @return Value of property engineConfiguration.
     */
    public EngineConfiguration getEngineConfiguration() {
        return engineConfiguration;
    }

    /**
     * Setter for property engineConfiguration.
     * @param engineConfiguration New value of property engineConfiguration.
     */
    public void setEngineConfiguration(EngineConfiguration engineConfiguration) {
        this.engineConfiguration = engineConfiguration;
    }

}
