/**
 * Copyright (C) 2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.server.engine.transformer;

import java.security.MessageDigest;

import javax.crypto.Cipher;
import javax.crypto.spec.DESKeySpec;
import javax.crypto.spec.SecretKeySpec;

import com.funambol.framework.engine.transformer.DataTransformer;
import com.funambol.framework.engine.transformer.TransformerException;
import com.funambol.framework.engine.transformer.TransformationInfo;

/**
 * This class is a DataTransformer that decodes the given content using the
 * cryptographic algorithm DES.
 *
 * @version $Id: DESDecoder.java,v 1.1 2006/08/08 07:46:20 nichele Exp $
 */
public class DESDecoder extends DataTransformer {

    // ------------------------------------------------------------ Constructors

    public DESDecoder() {
        super("des");
    }

    // ---------------------------------------------------------- Public methods

    public byte[] transform(byte[] data, TransformationInfo info)
    throws TransformerException {
        try {
            MessageDigest md = MessageDigest.getInstance("MD5");
            md.update(info.getCredentials().getBytes("UTF8"));
            byte[] keyBytes = md.digest();
            // create key
            DESKeySpec key = new DESKeySpec (keyBytes);
            SecretKeySpec DESKey = new SecretKeySpec (key.getKey(), "DES");
            // create cipher
            Cipher cipher = Cipher.getInstance("DES/ECB/PKCS5Padding");
            cipher.init(Cipher.DECRYPT_MODE, DESKey);
            // encrypt info
            return cipher.doFinal(data);
        } catch (Exception e) {
            throw new TransformerException("Transformation error: ", e);
        }
    }

}
