/**
 * Copyright (C) 2005-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.server.notification.sender;

/**
 * This class represents a WDP header. 
 *
 * @version $Id: WDPHeader.java,v 1.2 2006/08/07 21:13:17 nichele Exp $
 */
public class WDPHeader {
    
    // ------------------------------------------------------------ Private data
    private byte[] header = null;
    
    public WDPHeader() {
        
        // User-Data-Header(UDHL) Length = 6 bytes
        byte length = 6;
        
        header = new byte[length + 1];
        
        header[0] = length;
        
        // UDH IE Identifier Port Number
        header[1] = (byte)0x05;
        
        // UDH port number IE length
        header[2] = (byte)0x04;
        
        // Destination port (high)
        header[3] = (byte)0x0B;
        
        // Destination port (low)
        header[4] = (byte)0x84;
        
        // Origination port (high)
        header[5] = (byte)0xC0;
        
        // Origination port (low)
        header[6] = (byte)0x02;
        
    }
    
    // ---------------------------------------------------------- Public Methods
    
    public byte[] getHeader() {
        return header;
    }
}
