/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.test.tools;

import java.io.*;

import org.apache.tools.ant.Project;
import org.apache.tools.ant.taskdefs.*;

/**
 * Contains some useful methods to work with Ant
 *
 * @version $Id: AntUtil.java,v 1.3 2006/09/07 11:40:28 nichele Exp $
 */
public class AntUtil {

    /**
     * Run specific ant target
     * @param project the ant Project
     * @param baseDir the dir contains the files to execute
     * @param buildFile the build.xml
     * @param targetName the name of the target to execute
     *
     * @throws java.lang.Exception
     */
    public static void runAntTarget(Project project,
                                    File    baseDir,
                                    String  buildFile,
                                    String  targetName)
    throws Exception {

        if (project == null) {
            throw new IllegalArgumentException("Project can not be null");
        }

        Ant antTask = null;
        if ( (new File(buildFile).exists()) ) {
            antTask = (Ant)project.createTask("ant");
            antTask.setAntfile(buildFile);
            antTask.setDir(baseDir);
        }

        antTask.setTarget(targetName);
        antTask.execute();
    }

}
